import { Store, Config } from '../Store'
import {StorageStore} from '../store/StorageStore'
getEnvMent = ()=>{
    if(!Config.isDebugMode){//正式模式
        return Config.chooseServer;
    }else{
        let chooseServer = Config.chooseServer;
        try{
            let result = JSON.parse(StorageStore.readSyncData('environment'));
            if(result){
                chooseServer = result.value;
                Config.chooseServer = chooseServer;
            }
        }catch (e) {
        }
        return chooseServer;
    }
}
getWhichServer = (flag) => {
  flag = this.getEnvMent();
  switch (flag) {
    case 0:
      return {
        // ApiHost: 'https://test.yuningwang.com/czb/',
        ApiHost: 'https://test.czbapp.com/front/service/api/',
        CzbHost: 'https://test.czbapp.com',
        SocketHost:'https://testsocket.czbapp.com'
      }
      break;
    case 1:
      return {
        ApiHost: 'https://dev1api.czbapp.com/front/service/api/',
        CzbHost: 'https://dev1.czbapp.com',
      }
      break;
    case 2:
      return {
        // ApiHost: 'https://mp2.yuningwang.com/czb/',
        // CzbHost: 'https://www.czbapp.com',

        ApiHost:'https://tigeradmin.czbapp.com/front/service/api/',
        CzbHost: 'https://tiger.czbapp.com',
        SocketHost:'https://tigersocket.czbapp.com'
      }
      break;
    default:

  }
}
export const ApiHost = getWhichServer(Config.chooseServer).ApiHost
export const CzbHost = getWhichServer(Config.chooseServer).CzbHost
export const SocketHost = getWhichServer(Config.chooseServer).SocketHost
// 统计接口
export const StatisticsHost = Config.isRelease ? 'https://monarch.czbapp.com/' : 'https://monarch.czbapp.com/'

export const CzbApi = {

  //app
  kFetchPublicKey: ApiHost + "api2/getPublicKey",//请求公钥
   // homeADV: ApiHost + 'user2/advertise',//主页轮播图
   homeADV: ApiHost + 'czb/adv',//主页轮播图

  //登录
  // kLoginURL: ApiHost + 'user2/login',//登录
  kLoginURL: ApiHost + 'account/login',//登录
  kGetUserInfo: ApiHost + 'account/user/info',//获取用户信息

  // kRapidLogin: ApiHost + 'user/fastLogin',//短信登录
  kRapidLogin: ApiHost + 'account/login/fast',//短信登录
  // kFetchCodeURL: ApiHost + 'user2/sendMsg',//获取短信验证码
  kFetchCodeURL: ApiHost + 'account/msg/send',//获取短信验证码

  // kVerifyCodeURL: ApiHost + 'user2/msgCheck',//验证短信验证码
  kVerifyCodeURL: ApiHost + 'account/mobile/validate',//验证短信验证码
  // kModifyPasswordURL: ApiHost + 'user2/passWordModify',//修改密码
  kModifyPasswordURL: ApiHost + 'account/password/reset',//重置密码（现改为这个逻辑）

  kThirdUserHasBinded: ApiHost + 'api/modifyThirdUser',//检测三方登录是否已经绑定了用户

  // 新增登出接口
  kLoginOut: ApiHost + 'account/login/out',


  //精品课程（Zhaoya)
  // kFetchVideoInfo: ApiHost + 'api2/getPubVideoCourseDetail',// 视频详情(免费)
  kFetchVideoInfo: ApiHost + 'czb/getPubVideoCourseDetail',// 视频详情(免费)

  // kFetchChargeVideoInfo: ApiHost + 'api2/getVideoCourseDetail',// 视频详情(收费)
  kFetchChargeVideoInfo: ApiHost + 'czb/getVideoCourseDetail',// 视频详情(收费)

  // kFetchVideoMainClassification: ApiHost + 'api2/getVideoMainClassifications',//获取精品课程分类
  kFetchVideoMainClassification: ApiHost + 'czb/getVideoMcs',//获取精品课程分类

  // kFetchVideoCourseListByCondition: ApiHost + 'api2/getVideoCourseListByCondition',// 精品课主分类条件筛选列表
  kFetchVideoCourseListByCondition: ApiHost + 'czb/getVideoCoursesByCondition',// 精品课主分类条件筛选列表

  // kFetchPublicVideoClass: ApiHost + 'api2/getPublicVideoClass',//获取公开视频的分类
  kFetchPublicVideoClass: ApiHost + 'czb/getPublicVideoClass',//获取公开视频的分类

  // kFetchRandomVideoBySubId: ApiHost + 'api2/getRandomVideo',//根据公开视频次分类获取相关视频
  kFetchRandomVideoBySubId: ApiHost + 'czb/getRandomVideo',//根据公开视频次分类获取相关视频

  // kFetchVideoListBySubClassId: ApiHost + 'api2/getVideoListBySubClassId',//公开视频分类获取视频列表
  kFetchVideoListBySubClassId: ApiHost + 'czb/getVideosBySubId',//公开视频分类获取视频列表

  // kFetchVideoListLikeTag: ApiHost + 'api2/getVideoListLikeTag',//根据标签id获取拥有此标签的视频列表
  kFetchVideoListLikeTag: ApiHost + 'czb/getVideosLikeTag',//根据标签id获取拥有此标签的视频列表

  kVideoTagStatistics: StatisticsHost + 'dolphin/monarch/crumb/dot',//用户点击视频标签统计
  kVideoShareStatistics: StatisticsHost + 'dolphin/monarch/crumb/dot',//用户点击视频分享成功统计

  // kAddVideoFavorite: ApiHost + 'api2/handVideoCollect/add',//收藏公开视频
  kAddVideoFavorite: ApiHost + 'czb/handVideoCollect',//收藏公开视频
  // kCancelVideoFavorite: ApiHost + 'api2/handVideoCollect/cancel',//取消收藏公开视频
  // kFetchVideoListByUserId: ApiHost + 'api2/getVideoListByUserId',//根据用户id获取其收藏视频列表
  kFetchVideoListByUserId: ApiHost + 'czb/getVideoListByUserId',//根据用户id获取其收藏视频列表

  //消息
  // GetReservationMessage: ApiHost + 'user2/queryPushMsg',//获取消息记录
  GetReservationMessage: ApiHost + 'czb/getPushMsgByUserId',//获取消息记录

  //课后分享(Daixing)
  kCourseShare: CzbHost + '/appCourseShare',//课程完成后分享
  kImageUrl: 'https://cdn.czbapp.com/appCourseShare/static/img',//课程完成后分享卡片上的图片

  //课后报告(没接完的接口加上New的标志符接完后去掉并把以前的接口给备注掉)
  GetReport: ApiHost + 'appSchedule/getReportByTypeAndUser',//获取课后报告(new api)
  //GetReport: ApiHost + 'api2/getReportByTypeAndUser',//获取课后报告
  UpdateReport: ApiHost + 'appSchedule/updateReportByTypeAndUser',// 课后报告未完成已完成状态更新
  //课后评价
  GetEvaluation: ApiHost + 'czb/searchStuRecord',//获取课程评价
  CommitEvaluation: ApiHost + 'czb/insertStar',//提交评价
  GetIsEvaluated: ApiHost + 'czb/findAssessByStudentId',//是否已经评价过
  GetEvaluationTagDataSource: ApiHost + 'czb/getStudentTag',//学生端获取评论标签接口

  //课后作业
  GetHomework: ApiHost + 'appArranging/getHomework',//一对一 一对多(课后作业)(周明)
  //GetOtoHomework: ApiHost + 'api2/getHomework',//1v1课后作业
  //GetOtmHomework: ApiHost + 'api2/getSmallHomework',//小班课课后作业
  kIsFinishedHomework: ApiHost + 'appArranging/finishHomework',// 课后作业已完成未完成
  //kIsFinishedHomework: ApiHost + 'api2/homework/finishHomework',// 课后作业已完成未完成
  GetDynamicHomeWork: CzbHost + '/multimedia/homework/',// 动态课件课后作业
  kIsFinishedDynamicHomeWork:ApiHost + 'appArranging/getHomeStatusByArrangingId',//动态作业是否完成

  //课时
  // GetCourseHour: ApiHost + "user2/queryLeftHour",//获取用户剩余课时(misaya)
  GetCourseHour: ApiHost + "account/user/hour",//获取用户剩余课时(misaya)
  // GetCourseHourHistory: ApiHost + "classhour2/getClassHourRecordByUid",//获取课时历史详情(misaya)
  GetCourseHourHistory: ApiHost + "account/user/hour/record",//获取课时历史详情(misaya)
  // VerifyAppleOrder: 'https://test.yuningwang.com/czb/' + 'api/applePayVerify',//向服务器验证苹果内购(misaya)
  VerifyAppleOrder: ApiHost + 'payment/order/pay/verify/apple',//向服务器验证苹果内购(misaya)


  //订单（Conglin）
  // kOrderList: ApiHost + 'api2/order/orderList',//订单列表(misaya)
  kOrderList: ApiHost + 'payment/order/list/user',//订单列表(misaya)
  // kCommitOrder: ApiHost + 'api/createPayOrder',// ping++ 购买(misaya)
  kCommitOrder: ApiHost + 'payment/order/prepare/create',// ping++ 购买(check)

  // 获取app版本号
  // kGetAppVersion: ApiHost + 'api2/getNewAppVersion', //获取app版本号
  kGetAppVersion: ApiHost + 'czb/getNewAppVersion', //获取app版本号

  // 动态课件
  kGetDynamicPPT: CzbHost + '/multimedia/course/', //获取动态课件链接


  //个人信息
  // kModifyUserInfo: ApiHost + 'user2/userInfoModify',//修改用户信息
  kModifyUserInfo: ApiHost + 'account/user/modify',//修改用户信息

  // kModifyAvatar: ApiHost + 'user2/uploadAvatar',//修改用户头像
  kModifyAvatar: ApiHost + 'user/avatar',//修改用户头像

  //预约
  kFetchCourseTime: ApiHost + "api2/getTrainBookTimeNum",//1v1可预约时间
  kCourseReservation: ApiHost + 'api2/addTrainBooked',//预约1V1
  kCancelReservation: ApiHost + "api2/deleTrainBooked",//取消1v1
  kOrderOtm: ApiHost + "api2/smallClass/enterClass",//预约小班课（正式课）
  kCancelMultiCourse: ApiHost + "api2/leaveSClass",//取消小班课（正式课）
  kOrderOtmExp: ApiHost + "api/experience/book",//预约小班课（体验课）
  kCancelOtmExp: ApiHost + 'api/experience/unbook',//取消小班课（体验课）
  kCancelCourse: ApiHost + 'appArranging/cancelArranging',//取消课程

  //上课
  kAuthClassroom:ApiHost + 'appArranging/verification',//教室验证
  //kAuthClassroom: ApiHost + 'api2/liveVideo/verification',//教室验证
  kFetchChannelKey: ApiHost + 'api2/agora/getChannelKeyNew',//agora channel key
  GetAgoraChannelToken: ApiHost + 'czb/getAgoraToken',// agora channel token
  //GetAgoraChannelToken: ApiHost + "api/agora/getAgoraToken",// agora channel token
  kFetchCCSession: 'https://mp2.yuningwang.com/czb/api/cc/sessionId',//获取cc sessionID
  kFetchCCSessionMandatory: 'https://mp2.yuningwang.com/czb/api/cc/alsoSessionId',//获取cc sessionID(强制刷新session)
  kFetchPPTList:ApiHost +'courseServiceApi/getPPT',//课件ppt pic list
  //kFetchPPTList: ApiHost + 'api2/getppt',//课件ppt pic list
  kUploadLog: ApiHost + 'czb/collectLog',//上传错误日志
  //kUploadLog: ApiHost + 'api/liveVideo/collectLog',//上传错误日志
  kFetchPicUrl: ApiHost + 'api/getSingleppt',//课件中单页pic url
  kLiveClassroomType: ApiHost + 'api2/liveVideo/otherThirdType',//获取小班课第三方sdk类型 1：dby 2：cc (deprecated)
  kFetchStarAmount: ApiHost + 'czb/getUserStar',
  //kFetchStarAmount: ApiHost + 'api2/getUserStar',//学生端获取星星数量
  // kFetchIntroVideo: ApiHost + 'api2/getAllVideo',//上课前广告视频(misaya)
  kFetchIntroVideo: ApiHost + 'czb/getAllVideo',//上课前广告视频(misaya)

  //课程记录
  kCourseIDURL: ApiHost + 'api2/trainCourse',//多元智能课程ID
  // kFetchCourseRecords: ApiHost + 'api2/getUnionClass',//1v1和1vN预约记录
  // kFetchCourseRecordsNew : ApiHost + 'api2/getUnionClassNew',//获取课程列表新接口(暂时针对手机端)
  kFetchCourseRecords: ApiHost + 'appArranging/getUnionClass', // 获取课程列表接口

  kReservationRecords: ApiHost + "api2/getTrainBooked",//1v1预约记录
  kFetchMultiCourseReservation: ApiHost + "api2/getSmallClass",//小班课预约记录
  kFetchMultiCourseClass: ApiHost + "api2/smallClass/getFieldType",//小班课正式课 班级一级分类
  kFetchMultiCourseExpClass: ApiHost + "api2/experience/getFieldIds",//小班课体验课 班级一级分类(暂不使用)

  kHomeVideoAd: ApiHost + 'czb/getVideoByType',//首页推荐视频列表（ipad）

  kFetchCourseTag:ApiHost + 'appArranging/getFieldTypeByArrangingId',//获取分类标签

  //思维测试
  kMindTest: CzbHost + '/exam',
  kMindTestResult: CzbHost + '/profile/exam',
  kAgreement: 'https://www.czbapp.com/help/agreement.html',//注册协议
  kPrivacy:'https://www.czbapp.com/html/privacy.html',// 隐私政策
  kPayment: 'https://www.czbapp.com/help/enrollAgreement.html',//支付协议
  reservationWeb: CzbHost + '/bespeak/index.html#/',
  kDynamicTest: CzbHost + '/multimedia/evaluation/',// 学前测试

  //获取服务器当前时间
  // kFetchServerTime: ApiHost + 'api/getSysTime', //获取服务器当前时间
  kFetchServerTime: ApiHost + 'system/currentTime', //获取服务器当前时间

  //常见问题
  // kFetchQaQuestionClass: ApiHost + 'api/customService/type/getAllTypes', //获取问题分类
  kFetchQaQuestionClass: ApiHost + 'czb/getAllTypes', //获取问题分类

  // kFetchAllQuestionsByTypeId: ApiHost + 'api/customService/question/getAllQuestionsByTypeId', //查询分类下的所有问题
  kFetchAllQuestionsByTypeId: ApiHost + 'czb/getAllQuestionsByTypeId', //查询分类下的所有问题

  // kFetchQuestionDetailById: ApiHost + 'api/customService/question/getQuestionById', //查询问题详情
  kFetchQuestionDetailById: ApiHost + 'czb/getQuestionById', //查询问题详情


  //首页视频
  // kFetchVideoListByHome: ApiHost + 'api2/getVideoForAppHomePage', //首页视频
  kFetchVideoListByHome: ApiHost + 'czb/getVideoForAppHomePage', //首页视频
}
