import { action, observable, computed } from 'mobx'
import { RecordsStore, HourStore, ShareStore, UserStore, LoginStore } from '../store'

class QuickStep {

    @observable bannerType = '' // 入口状态
    @observable bannerCourse = null // 入口显示课程
    @observable bannerCourseList = [] // 入口可显示课程list 预约成功的课程


    get bannerImage() { return this.bannerType ? this.bannerType : null }

    // 转换时间戳为日期
    fetchTimeStamp = (timestamp, split) => {
        var date = new Date(timestamp * 1000);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
        Y = date.getFullYear() + split;//'-'
        M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + split;
        D = date.getDate() + ' ';
        h = date.getHours() + ':';
        m = date.getMinutes() + ':';
        s = date.getSeconds();
        return Y + M + D + h + m + s;
    }

    @action
    fetchPromiseAllData = () => {
        ShareStore.fetchServerTime().then(
            () => {
                Promise.all([RecordsStore.fetchCourseRecords(1, 45, ShareStore.serverTimeNow), HourStore.fetchCourseHour()])
                    .then(resultList => {

                        this.clear()
                        if (RecordsStore.unfinishedCourse.slice().length > 0 || RecordsStore.todayAllUnfinishedCourse.slice().length > 0) {
                            this.bannerType = '用户有预约课程'

                            if (RecordsStore.todayAllUnfinishedCourse.slice().length > 0) {

                                RecordsStore.todayAllUnfinishedCourse.map((value, index) => {

                                    const { timestamp: timestamp, courseEndAtTime = courseEndAtTime ,courseStatus:courseStatus} = value
                                    let classTimeDate = new Date(this.fetchTimeStamp(timestamp / 1000 + '', '-'))
                                    let classTimeDateOne = new Date(this.fetchTimeStamp(timestamp / 1000 + '', '/'))
                                    classTimeDate = Date.parse(classTimeDate) || Date.parse(classTimeDateOne)
                                    let serverTimeDate = new Date(this.fetchTimeStamp(ShareStore.serverTimeNow / 1000 + '', '-'))
                                    let serverTimeDateOne = new Date(this.fetchTimeStamp(ShareStore.serverTimeNow / 1000 + '', '/'))
                                    serverTimeDate = Date.parse(serverTimeDate) || Date.parse(serverTimeDateOne)

                                    if (classTimeDate / 1000 <= serverTimeDate / 1000 && serverTimeDate / 1000 <= courseEndAtTime / 1000) {
                                        this.bannerType = '用户开始上课'
                                        this.bannerCourse = value
                                    } else if (serverTimeDate / 1000 <= classTimeDate / 1000) {
                                        this.bannerCourseList.push(value)
                                        console.log('zzhee', this.bannerCourse)
                                        if (!this.bannerCourse) {
                                            console.log('存在嘛', this.bannerCourse)
                                            this.bannerCourse = this.bannerCourseList[0]
                                        }
                                    } else if (serverTimeDate / 1000 >= courseEndAtTime / 1000) {

                                        if (RecordsStore.todayUnfinishedCourse.slice().length > 0) {
                                            console.log('是什么', this.bannerCourse, RecordsStore.todayUnfinishedCourse.slice(), this.bannerType)
                                            if(courseStatus == 1){
                                                this.bannerType = '用户开始上课'
                                            }
                                            this.bannerCourse = RecordsStore.todayUnfinishedCourse[0]
                                        } else if (RecordsStore.unfinishedCourse.slice().length > 0) {
                                            this.bannerCourse = RecordsStore.unfinishedCourse[0]
                                        } else {
                                            if (HourStore.officalHour) {
                                                this.bannerType = '暂无状态'
                                            } else {
                                                if (HourStore.experienceHour) {
                                                    this.bannerType = '用户有体验课'
                                                } else {
                                                    this.bannerType = '暂无状态'
                                                }
                                            }
                                        }
                                    }

                                })
                            } else {
                                this.bannerCourse = RecordsStore.unfinishedCourse[0]
                            }
                        } else {

                            if (HourStore.officalHour) {
                                this.bannerType = '暂无状态'
                            } else {
                                if (HourStore.experienceHour) {
                                    this.bannerType = '用户有体验课'
                                } else {
                                    this.bannerType = '暂无状态'
                                }
                            }
                        }


                    }).catch((error) => {
                        this.bannerType = '暂无状态'
                    })

            }
        ).catch((error) => {
            console.log('errorerrorresultList', error)
            this.bannerType = '暂无状态'
            reject(error)
        })

    }

    @action
    clear = () => {
        if (this.bannerCourseList) {
            this.bannerCourseList = []
        }
        this.bannerCourse = null
        this.bannerType = ''
    }

}

export const QuickStepStore = new QuickStep
